/***************************************************************************
 *****                                                                 *****
 *****                                                                 *****
 ***************************************************************************/

//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ImgList.hpp>
#include "CGAUGES.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <inifiles.hpp>
//---------------------------------------------------------------------------
#include "UsbIo.cpp"                // USB class librarys
#include "UsbIoPipe.cpp"
#include "UsbIoBuf.cpp"
//---------------------------------------------------------------------------
struct Tio_buffer {                 // data packet to transmit/receive
  unsigned char  binary0, binary1, binary2;
  unsigned char binary3, binary4, binary5;
  unsigned char binary6, binary7;
};
//---------------------------------------------------------------------------
#define HC08_ID_VENDOR  0x0C70      // MCT Elektronikladen Vendor ID
#define HC08_ID_PRODUCT 0x0000      // Product ID

//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TTimer *Timer1;
        TStatusBar *StatusBar;
	TButton *Fin;
    TGroupBox *GroupBox1;
    TLabel *LabelStepaInProgress;
    TLabel *Label1;
    TLabel *Label2;
    TEdit *EditStepsa;
    TButton *Button1;
    TButton *Button2;
    TButton *Button3;
    TEdit *EditSpeeda;
    TGroupBox *GroupBox2;
    TLabel *LabelStepbInProgress;
    TLabel *Label4;
    TLabel *Label5;
    TEdit *EditStepsb;
    TButton *Button4;
    TButton *Button5;
    TButton *Button6;
    TEdit *EditSpeedb;
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button3Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall FinClick(TObject *Sender);
    void __fastcall Button4Click(TObject *Sender);
    void __fastcall Button6Click(TObject *Sender);
    void __fastcall Button5Click(TObject *Sender);
private:	// User declarations
        CUsbIo UsbIo;                           // USB class for basic functions
        CUsbIoPipe UsbIoPipeIn, UsbIoPipeOut;   // USB pipe classes
        Tio_buffer io_buffer;
        bool openpipe(void);
        bool closepipe(void);
        bool xferpipe(Tio_buffer *io_buffer);
public:
    bool StepperaToDo;		// User declarations
    int Stepsa;
    bool StopaToDo;
    bool SpeedaToDo;
    int Speeda;

    bool StepperbToDo;
    int Stepsb;
    bool StopbToDo;
    bool SpeedbToDo;
    int Speedb;
        __fastcall TMainForm(TComponent* Owner);
     };
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
